import Controller from '@ember/controller';
import { tracked } from '@glimmer/tracking';
import { action } from '@ember/object';

export default class ApplicationController extends Controller {
    @tracked a;
    @tracked b;
    @tracked result = 0;
    @tracked operators = '+';
    @tracked hasCalculated = false; 

    @action 
    calculate(event) {
        event.preventDefault();
        this.hasCalculated = true;
        switch (this.operators) {
            case '+':
                this.result = parseInt(this.a) + parseInt(this.b);
                break;
            case '-':
                this.result = parseInt(this.a) - parseInt(this.b);
                break;
            case '*':
                this.result = parseInt(this.a) * parseInt(this.b);
                break;
            case '/':
                this.result = parseInt(this.a) / parseInt(this.b);
                break;
            case '%':
                this.result = parseInt(this.a) % parseInt(this.b);
                break;
            default:
                break;
        }
    }

    @action
    typing() {
        this.hasCalculated = false;
    }

    @action
    updateValue(value){
        this.operators = value;
    }
}
